Welcome to the new Tahua Help Center!
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contracts

GET /api/v2/contracts

Returns a list of contracts.

Query Parameters

Parameter
Type
Description

limit

integer

Results per page (default: 50, max: 50)

gt

integer

Return records with ID greater than this value

lt

integer

Return records with ID less than this value

Response Properties

Property
Type
Description

id

integer

Unique identifier

created_at

datetime

When the record was created

updated_at

datetime

When the record was last updated

title

string

Contract title

amount

decimal

Contract amount

contract_start_date

date

Contract start date

contract_end_date

date

Contract end date

state

string

Current contract state

contract_type

string

Type of contract

registration_entity.id

integer

Registration entity ID

registration_entity.name

string

Registration entity name

Example Request

Example Response


GET /api/v2/contracts/:id

Returns a single contract. Response properties are the same as the list endpoint.

Example Request

Last updated

Was this helpful?